from man import Man
from snack import Snack
from mine import Mine
from random import shuffle


class Board:
    
    def __init__(self,width, height,snack_density):
        self.width = width
        self.height = height
        self.snack_density = snack_density
    
    def get_agents(self):
        positions = self.get_all_positions()
        shuffle(positions)
        num_snacks = round((self.snack_density * len(positions)))
        snacks = [Snack(p) for p in positions[1:num_snacks+1]]
        agents=[Man(positions[0])] + snacks
        return agents
    
    def get_all_positions(self):
        positions=[]
        for i in range(self.width):
            for j in range(self.height):
                positions.append((i,j))
        return positions